org.gradle.process.daemon

## Interface WorkerDaemonService

-     @Incubating
      public interface WorkerDaemonService

  Worker Daemon Service.
  Since:
    3.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkerDaemonExecutor` | `daemonRunnable(Class<? extends Runnable> runnableClass)` Creates a `WorkerDaemonExecutor` for executing the given Runnable in a daemon process.

- - ### Method Detail

    - #### daemonRunnable

          WorkerDaemonExecutor daemonRunnable(Class<? extends Runnable> runnableClass)

      Creates a `WorkerDaemonExecutor` for executing the given Runnable in a daemon process.
      Returns:
        A `WorkerDaemonExecutor` that builds a daemon Runnable.